<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUserTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('users', function($table)
		{
	        $table->increments('id');
	        $table->string('name',100);
	        $table->string('username',100)->unique();
	        $table->string('email',100)->unique();
	        $table->string('password');
	        $table->boolean('active')->default(true);
	        $table->string('avatar',300);
	        $table->integer('usergroup');
	        $table->string('remember_token',100)->nullable();
	        $table->timestamps();
	        $table->softDeletes();
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('users');
	}

}